#define TMHM_LEARNSET(moves) {(u32)(moves), ((u64)(moves) >> 32)}
#define TMHM(tmhm) ((u64)1 << (ITEM_##tmhm - ITEM_TM01_FOCUS_PUNCH))

// This table determines which TMs and HMs a species is capable of learning.
// Each entry is a 64-bit bit array spread across two 32-bit values, with
// each bit corresponding to a TM or HM.
const u32 gTMHMLearnsets[][2] =
{
    [SPECIES_NONE]        = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BULBASAUR]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_IVYSAUR]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VENUSAUR]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHARMANDER]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHARMELEON]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHARIZARD]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SQUIRTLE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_WARTORTLE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_BLASTOISE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CATERPIE]    = TMHM_LEARNSET(0),

    [SPECIES_METAPOD]     = TMHM_LEARNSET(0),

    [SPECIES_BUTTERFREE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WEEDLE]      = TMHM_LEARNSET(0),

    [SPECIES_KAKUNA]      = TMHM_LEARNSET(0),

    [SPECIES_BEEDRILL]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIDGEY]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIDGEOTTO]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIDGEOT]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_RATTATA]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_RATICATE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SPEAROW]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FEAROW]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_EKANS]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ARBOK]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_RAICHU]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SANDSHREW]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SANDSLASH]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_NIDORAN_F]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_NIDORINA]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_NIDOQUEEN]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_NIDORAN_M]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_NIDORINO]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_NIDOKING]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CLEFAIRY]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CLEFABLE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_VULPIX]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_NINETALES]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_JIGGLYPUFF]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_WIGGLYTUFF]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ZUBAT]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOLBAT]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ODDISH]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GLOOM]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VILEPLUME]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PARAS]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PARASECT]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VENONAT]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VENOMOTH]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DIGLETT]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DUGTRIO]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MEOWTH]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_PERSIAN]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_PSYDUCK]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GOLDUCK]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MANKEY]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PRIMEAPE]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GROWLITHE]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ARCANINE]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_POLIWAG]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_POLIWHIRL]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_POLIWRATH]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ABRA]        = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KADABRA]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ALAKAZAM]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MACHOP]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MACHOKE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MACHAMP]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BELLSPROUT]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WEEPINBELL]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VICTREEBEL]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TENTACOOL]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_TENTACRUEL]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GEODUDE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GRAVELER]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOLEM]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PONYTA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_RAPIDASH]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SLOWPOKE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SLOWBRO]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MAGNEMITE]   = TMHM_LEARNSET(TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MAGNETON]    = TMHM_LEARNSET(TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FARFETCHD]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DODUO]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DODRIO]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SEEL]        = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DEWGONG]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GRIMER]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MUK]         = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SHELLDER]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CLOYSTER]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GASTLY]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HAUNTER]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GENGAR]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ONIX]        = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DROWZEE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HYPNO]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KRABBY]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_KINGLER]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_VOLTORB]     = TMHM_LEARNSET(TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ELECTRODE]   = TMHM_LEARNSET(TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_EXEGGCUTE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_EXEGGUTOR]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CUBONE]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MAROWAK]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HITMONLEE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HITMONCHAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LICKITUNG]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_KOFFING]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WEEZING]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_RHYHORN]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_RHYDON]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHANSEY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_TANGELA]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KANGASKHAN]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_HORSEA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SEADRA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GOLDEEN]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SEAKING]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_STARYU]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_STARMIE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MR_MIME]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SCYTHER]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_JYNX]        = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ELECTABUZZ]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MAGMAR]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PINSIR]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TAUROS]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MAGIKARP]    = TMHM_LEARNSET(0),

    [SPECIES_GYARADOS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LAPRAS]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DITTO]       = TMHM_LEARNSET(0),

    [SPECIES_EEVEE]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VAPOREON]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_JOLTEON]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLAREON]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PORYGON]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_OMANYTE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_OMASTAR]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_KABUTO]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_KABUTOPS]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_AERODACTYL]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SNORLAX]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARTICUNO]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ZAPDOS]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MOLTRES]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DRATINI]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DRAGONAIR]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DRAGONITE]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MEWTWO]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MEW]         = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CHIKORITA]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BAYLEEF]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MEGANIUM]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CYNDAQUIL]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_QUILAVA]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TYPHLOSION]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TOTODILE]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CROCONAW]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_FERALIGATR]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SENTRET]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_FURRET]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_HOOTHOOT]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_NOCTOWL]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LEDYBA]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LEDIAN]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SPINARAK]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ARIADOS]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CROBAT]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHINCHOU]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LANTURN]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_PICHU]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CLEFFA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_IGGLYBUFF]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_TOGEPI]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_TOGETIC]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_NATU]        = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_XATU]        = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MAREEP]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLAAFFY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_AMPHAROS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BELLOSSOM]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MARILL]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_AZUMARILL]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SUDOWOODO]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_POLITOED]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_HOPPIP]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SKIPLOOM]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_JUMPLUFF]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_AIPOM]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SUNKERN]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SUNFLORA]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_YANMA]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WOOPER]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_QUAGSIRE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ESPEON]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_UMBREON]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MURKROW]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SLOWKING]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MISDREAVUS]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_UNOWN]       = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_WOBBUFFET]   = TMHM_LEARNSET(TMHM(TM20_SAFEGUARD)),

    [SPECIES_GIRAFARIG]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PINECO]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FORRETRESS]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DUNSPARCE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GLIGAR]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_STEELIX]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SNUBBULL]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GRANBULL]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_QWILFISH]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SCIZOR]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SHUCKLE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HERACROSS]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SNEASEL]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TEDDIURSA]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_URSARING]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SLUGMA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MAGCARGO]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SWINUB]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PILOSWINE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CORSOLA]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_REMORAID]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_OCTILLERY]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DELIBIRD]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MANTINE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SKARMORY]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HOUNDOUR]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HOUNDOOM]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KINGDRA]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_PHANPY]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DONPHAN]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PORYGON2]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_STANTLER]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SMEARGLE]    = TMHM_LEARNSET(TMHM(TM35_FLAMETHROWER)),

    [SPECIES_TYROGUE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HITMONTOP]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SMOOCHUM]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ELEKID]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MAGBY]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MILTANK]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_BLISSEY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_RAIKOU]      = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ENTEI]       = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SUICUNE]     = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LARVITAR]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PUPITAR]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TYRANITAR]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LUGIA]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_HO_OH]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CELEBI]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_TREECKO]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GROVYLE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SCEPTILE]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TORCHIC]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_COMBUSKEN]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BLAZIKEN]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MUDKIP]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MARSHTOMP]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SWAMPERT]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_POOCHYENA]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MIGHTYENA]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZIGZAGOON]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LINOONE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_WURMPLE]     = TMHM_LEARNSET(0),

    [SPECIES_SILCOON]     = TMHM_LEARNSET(0),

    [SPECIES_BEAUTIFLY]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CASCOON]     = TMHM_LEARNSET(0),

    [SPECIES_DUSTOX]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LOTAD]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LOMBRE]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LUDICOLO]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SEEDOT]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_NUZLEAF]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SHIFTRY]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TAILLOW]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SWELLOW]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WINGULL]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_PELIPPER]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_RALTS]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KIRLIA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GARDEVOIR]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SURSKIT]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MASQUERAIN]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SHROOMISH]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BRELOOM]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SLAKOTH]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_VIGOROTH]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SLAKING]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_NINCADA]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_NINJASK]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SHEDINJA]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WHISMUR]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LOUDRED]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_EXPLOUD]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MAKUHITA]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HARIYAMA]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_AZURILL]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_NOSEPASS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SKITTY]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DELCATTY]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SABLEYE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MAWILE]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ARON]        = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LAIRON]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_AGGRON]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MEDITITE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MEDICHAM]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ELECTRIKE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MANECTRIC]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PLUSLE]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MINUN]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VOLBEAT]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ILLUMISE]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ROSELIA]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GULPIN]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SWALOT]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CARVANHA]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SHARPEDO]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_WAILMER]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_WAILORD]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_NUMEL]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CAMERUPT]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TORKOAL]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SPOINK]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GRUMPIG]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SPINDA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_TRAPINCH]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIBRAVA]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLYGON]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CACNEA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CACTURNE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SWABLU]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ALTARIA]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZANGOOSE]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SEVIPER]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LUNATONE]    = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SOLROCK]     = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BARBOACH]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_WHISCASH]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CORPHISH]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CRAWDAUNT]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_BALTOY]      = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CLAYDOL]     = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LILEEP]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CRADILY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ANORITH]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARMALDO]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_FEEBAS]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MILOTIC]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CASTFORM]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_KECLEON]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SHUPPET]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BANETTE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DUSKULL]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DUSCLOPS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TROPIUS]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHIMECHO]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ABSOL]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_WYNAUT]      = TMHM_LEARNSET(TMHM(TM20_SAFEGUARD)),

    [SPECIES_SNORUNT]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GLALIE]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SPHEAL]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SEALEO]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_WALREIN]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CLAMPERL]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_HUNTAIL]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GOREBYSS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_RELICANTH]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LUVDISC]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_BAGON]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SHELGON]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SALAMENCE]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BELDUM]      = TMHM_LEARNSET(0),

    [SPECIES_METANG]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_METAGROSS]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_REGIROCK]    = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_REGICE]      = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_REGISTEEL]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LATIAS]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LATIOS]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_KYOGRE]      = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GROUDON]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_RAYQUAZA]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_JIRACHI]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DEOXYS]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_TURTWIG]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GROTLE]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TORTERRA]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHIMCHAR]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MONFERNO]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_INFERNAPE]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIPLUP]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_PRINPLUP]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_EMPOLEON]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_STARLY]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_STARAVIA]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_STARAPTOR]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BIDOOF]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BIBAREL]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_KRICKETOT]   = TMHM_LEARNSET(0),

    [SPECIES_KRICKETUNE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SHINX]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LUXIO]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LUXRAY]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BUDEW]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ROSERADE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CRANIDOS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_RAMPARDOS]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SHIELDON]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BASTIODON]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BURMY]       = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)),

    [SPECIES_WORMADAM]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MOTHIM]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_COMBEE]      = TMHM_LEARNSET(0),

    [SPECIES_VESPIQUEN]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PACHIRISU]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BUIZEL]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_FLOATZEL]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CHERUBI]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHERRIM]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SHELLOS]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GASTRODON]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_AMBIPOM]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DRIFLOON]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DRIFBLIM]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BUNEARY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LOPUNNY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MISMAGIUS]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HONCHKROW]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GLAMEOW]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_PURUGLY]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CHINGLING]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_STUNKY]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SKUNTANK]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BRONZOR]     = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BRONZONG]    = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BONSLY]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MIME_JR]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HAPPINY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CHATOT]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SPIRITOMB]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GIBLE]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GABITE]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GARCHOMP]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MUNCHLAX]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_RIOLU]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LUCARIO]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_HIPPOPOTAS]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_HIPPOWDON]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SKORUPI]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DRAPION]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CROAGUNK]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TOXICROAK]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CARNIVINE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FINNEON]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_LUMINEON]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MANTYKE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SNOVER]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ABOMASNOW]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_WEAVILE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MAGNEZONE]   = TMHM_LEARNSET(TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LICKILICKY]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_RHYPERIOR]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TANGROWTH]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ELECTIVIRE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MAGMORTAR]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TOGEKISS]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_YANMEGA]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LEAFEON]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GLACEON]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GLISCOR]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MAMOSWINE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PORYGON_Z]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GALLADE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PROBOPASS]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DUSKNOIR]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FROSLASS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ROTOM]       = TMHM_LEARNSET(TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_UXIE]        = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MESPRIT]     = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_AZELF]       = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DIALGA]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PALKIA]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_HEATRAN]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_REGIGIGAS]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GIRATINA]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CRESSELIA]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PHIONE]      = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MANAPHY]     = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DARKRAI]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SHAYMIN]     = TMHM_LEARNSET(TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ARCEUS]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_VICTINI]     = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SNIVY]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SERVINE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SERPERIOR]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TEPIG]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIGNITE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_EMBOAR]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_OSHAWOTT]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DEWOTT]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SAMUROTT]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_PATRAT]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WATCHOG]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LILLIPUP]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HERDIER]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_STOUTLAND]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PURRLOIN]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LIEPARD]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PANSAGE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SIMISAGE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PANSEAR]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SIMISEAR]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PANPOUR]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SIMIPOUR]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MUNNA]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MUSHARNA]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIDOVE]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TRANQUILL]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_UNFEZANT]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BLITZLE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZEBSTRIKA]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ROGGENROLA]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BOLDORE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GIGALITH]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WOOBAT]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SWOOBAT]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DRILBUR]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_EXCADRILL]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_AUDINO]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TIMBURR]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GURDURR]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CONKELDURR]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TYMPOLE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_PALPITOAD]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SEISMITOAD]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_THROH]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SAWK]        = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SEWADDLE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SWADLOON]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LEAVANNY]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VENIPEDE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WHIRLIPEDE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SCOLIPEDE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_COTTONEE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WHIMSICOTT]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PETILIL]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LILLIGANT]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BASCULIN]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_SANDILE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KROKOROK]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KROOKODILE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DARUMAKA]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DARMANITAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MARACTUS]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DWEBBLE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CRUSTLE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SCRAGGY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SCRAFTY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SIGILYPH]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_YAMASK]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_COFAGRIGUS]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TIRTOUGA]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CARRACOSTA]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCHEN]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ARCHEOPS]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TRUBBISH]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GARBODOR]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZORUA]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZOROARK]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MINCCINO]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CINCCINO]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOTHITA]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOTHORITA]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOTHITELLE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SOLOSIS]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DUOSION]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_REUNICLUS]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DUCKLETT]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SWANNA]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_VANILLITE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_VANILLISH]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_VANILLUXE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DEERLING]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SAWSBUCK]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_EMOLGA]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KARRABLAST]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ESCAVALIER]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FOONGUS]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_AMOONGUSS]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FRILLISH]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_JELLICENT]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ALOMOMOLA]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_JOLTIK]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GALVANTULA]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FERROSEED]   = TMHM_LEARNSET(TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FERROTHORN]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KLINK]       = TMHM_LEARNSET(TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KLANG]       = TMHM_LEARNSET(TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KLINKLANG]   = TMHM_LEARNSET(TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TYNAMO]      = TMHM_LEARNSET(0),

    [SPECIES_EELEKTRIK]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_EELEKTROSS]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ELGYEM]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BEHEEYEM]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LITWICK]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LAMPENT]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHANDELURE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_AXEW]        = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FRAXURE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HAXORUS]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CUBCHOO]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_BEARTIC]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CRYOGONAL]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SHELMET]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ACCELGOR]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_STUNFISK]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MIENFOO]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MIENSHAO]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DRUDDIGON]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOLETT]      = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOLURK]      = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PAWNIARD]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BISHARP]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BOUFFALANT]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_RUFFLET]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BRAVIARY]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VULLABY]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MANDIBUZZ]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HEATMOR]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DURANT]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DEINO]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZWEILOUS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HYDREIGON]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LARVESTA]    = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VOLCARONA]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_COBALION]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TERRAKION]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIRIZION]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TORNADUS]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_THUNDURUS]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_RESHIRAM]    = TMHM_LEARNSET(TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZEKROM]      = TMHM_LEARNSET(TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LANDORUS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KYUREM]      = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KELDEO]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MELOETTA]    = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GENESECT]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHESPIN]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_QUILLADIN]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHESNAUGHT]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FENNEKIN]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BRAIXEN]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DELPHOX]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FROAKIE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_FROGADIER]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GRENINJA]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_BUNNELBY]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DIGGERSBY]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLETCHLING]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLETCHINDER] = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TALONFLAME]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SCATTERBUG]  = TMHM_LEARNSET(0),

    [SPECIES_SPEWPA]      = TMHM_LEARNSET(TMHM(TM17_PROTECT)),

    [SPECIES_VIVILLON]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LITLEO]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PYROAR]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLABEBE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLOETTE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLORGES]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SKIDDO]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOGOAT]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PANCHAM]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PANGORO]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FURFROU]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ESPURR]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MEOWSTIC]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HONEDGE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DOUBLADE]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_AEGISLASH]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SPRITZEE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_AROMATISSE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SWIRLIX]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SLURPUFF]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_INKAY]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MALAMAR]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BINACLE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_BARBARACLE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SKRELP]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DRAGALGE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CLAUNCHER]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CLAWITZER]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_HELIOPTILE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HELIOLISK]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TYRUNT]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TYRANTRUM]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_AMAURA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_AURORUS]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SYLVEON]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HAWLUCHA]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DEDENNE]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CARBINK]     = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOOMY]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SLIGGOO]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GOODRA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_KLEFKI]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PHANTUMP]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TREVENANT]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PUMPKABOO]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOURGEIST]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BERGMITE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_AVALUGG]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_NOIBAT]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_NOIVERN]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_XERNEAS]     = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_YVELTAL]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZYGARDE]     = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DIANCIE]     = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HOOPA]       = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VOLCANION]   = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ROWLET]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DARTRIX]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DECIDUEYE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LITTEN]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TORRACAT]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_INCINEROAR]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_POPPLIO]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_BRIONNE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_PRIMARINA]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_PIKIPEK]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TRUMBEAK]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TOUCANNON]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_YUNGOOS]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GUMSHOOS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GRUBBIN]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CHARJABUG]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIKAVOLT]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CRABRAWLER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CRABOMINABLE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ORICORIO]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CUTIEFLY]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_RIBOMBEE]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ROCKRUFF]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LYCANROC]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WISHIWASHI]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MAREANIE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_TOXAPEX]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_MUDBRAY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MUDSDALE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DEWPIDER]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARAQUANID]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_FOMANTIS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LURANTIS]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MORELULL]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SHIINOTIC]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SALANDIT]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SALAZZLE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_STUFFUL]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BEWEAR]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BOUNSWEET]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_STEENEE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TSAREENA]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_COMFEY]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ORANGURU]    = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PASSIMIAN]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_WIMPOD]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_GOLISOPOD]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SANDYGAST]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PALOSSAND]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PYUKUMUKU]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TYPE_NULL]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MINIOR]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KOMALA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TURTONATOR]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TOGEDEMARU]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MIMIKYU]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BRUXISH]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DRAMPA]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DHELMISE]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_JANGMO_O]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HAKAMO_O]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KOMMO_O]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_TAPU_KOKO]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TAPU_LELE]   = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TAPU_BULU]   = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TAPU_FINI]   = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_COSMOG]      = TMHM_LEARNSET(0),

    [SPECIES_COSMOEM]     = TMHM_LEARNSET(0),

    [SPECIES_SOLGALEO]    = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LUNALA]      = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_NIHILEGO]    = TMHM_LEARNSET(TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BUZZWOLE]    = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PHEROMOSA]   = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_XURKITREE]   = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_CELESTEELA]  = TMHM_LEARNSET(TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KARTANA]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GUZZLORD]    = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_NECROZMA]    = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MAGEARNA]    = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_MARSHADOW]   = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_POIPOLE]     = TMHM_LEARNSET(TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_NAGANADEL]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_STAKATAKA]   = TMHM_LEARNSET(TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_BLACEPHALON] = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZERAORA]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),
    //TMs of LGPE don't match with USUM
    [SPECIES_MELTAN]      = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_MELMETAL]    = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_GROOKEY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)),

    [SPECIES_THWACKEY]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)),

    [SPECIES_RILLABOOM]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)),

    [SPECIES_SCORBUNNY]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)),

    [SPECIES_RABOOT]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)),

    [SPECIES_CINDERACE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)),

    [SPECIES_SOBBLE]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DRIZZILE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_INTELEON]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(HM03_SURF)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SKWOVET]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_GREEDENT]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_ROOKIDEE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_CORVISQUIRE] = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_CORVIKNIGHT] = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_BLIPBUG]     = TMHM_LEARNSET(0),

    [SPECIES_DOTTLER]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_ORBEETLE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_NICKIT]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)),

    [SPECIES_THIEVUL]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_GOSSIFLEUR]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)),

    [SPECIES_ELDEGOSS]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)),

    [SPECIES_WOOLOO]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)),

    [SPECIES_DUBWOOL]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)),

    [SPECIES_CHEWTLE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM03_SURF)),

    [SPECIES_DREDNAW]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(HM03_SURF)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_YAMPER]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_BOLTUND]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_ROLYCOLY]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)),

    [SPECIES_CARKOL]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)),

    [SPECIES_COALOSSAL]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_APPLIN]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)),

    [SPECIES_FLAPPLE]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)),

    [SPECIES_APPLETUN]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)),

    [SPECIES_SILICOBRA]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM37_SANDSTORM)),

    [SPECIES_SANDACONDA]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)),

    [SPECIES_CRAMORANT]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_ARROKUDA]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_BARRASKEWDA] = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM03_SURF)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_TOXEL]       = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)),

    [SPECIES_TOXTRICITY]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SIZZLIPEDE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM11_SUNNY_DAY)),

    [SPECIES_CENTISKORCH] = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)),

    [SPECIES_CLOBBOPUS]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_GRAPPLOCT]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_SINISTEA]    = TMHM_LEARNSET(TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)),

    [SPECIES_POLTEAGEIST] = TMHM_LEARNSET(TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)),

    [SPECIES_HATENNA]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM48_SKILL_SWAP)),

    [SPECIES_HATTREM]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM48_SKILL_SWAP)),

    [SPECIES_HATTERENE]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)),

    [SPECIES_IMPIDIMP]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)),

    [SPECIES_MORGREM]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)),

    [SPECIES_GRIMMSNARL]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)),

    [SPECIES_OBSTAGOON]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_PERRSERKER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_CURSOLA]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)),

    [SPECIES_SIRFETCHD]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)),

    [SPECIES_MR_RIME]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_RUNERIGUS]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_MILCERY]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)),

    [SPECIES_ALCREMIE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_FALINKS]     = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)),

    [SPECIES_PINCURCHIN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_SNOM]        = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)),

    [SPECIES_FROSMOTH]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)),

    [SPECIES_STONJOURNER] = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)),

    [SPECIES_EISCUE]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM03_SURF)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_INDEEDEE]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)),

    [SPECIES_MORPEKO]     = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)),

    [SPECIES_CUFANT]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(HM04_STRENGTH)),

    [SPECIES_COPPERAJAH]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM12_TAUNT)),

    [SPECIES_DRACOZOLT]   = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_ARCTOZOLT]   = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_DRACOVISH]   = TMHM_LEARNSET(TMHM(HM08_DIVE)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_ARCTOVISH]   = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(HM03_SURF)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_DURALUDON]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_DREEPY]      = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)),

    [SPECIES_DRAKLOAK]    = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_DRAGAPULT]   = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_ZACIAN]      = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)),

    [SPECIES_ZAMAZENTA]   = TMHM_LEARNSET(TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_ETERNATUS]   = TMHM_LEARNSET(TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KUBFU]       = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)),

    [SPECIES_URSHIFU]     = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM12_TAUNT)),

    [SPECIES_ZARUDE]      = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_REGIELEKI]   = TMHM_LEARNSET(TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_REGIDRAGO]   = TMHM_LEARNSET(TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)),

    [SPECIES_GLASTRIER]   = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)),

    [SPECIES_SPECTRIER]   = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM12_TAUNT)),

    [SPECIES_CALYREX]     = TMHM_LEARNSET(TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)),

    [SPECIES_RATTATA_ALOLAN]  = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                               | TMHM(HM01_CUT)
                                               | TMHM(TM28_DIG)
                                               | TMHM(TM42_FACADE)
                                               | TMHM(TM13_ICE_BEAM)
                                               | TMHM(TM23_IRON_TAIL)
                                               | TMHM(TM17_PROTECT)
                                               | TMHM(TM44_REST)
                                               | TMHM(TM30_SHADOW_BALL)
                                               | TMHM(TM36_SLUDGE_BOMB)
                                               | TMHM(TM12_TAUNT)
                                               | TMHM(TM06_TOXIC)),

    [SPECIES_RATICATE_ALOLAN]  = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                                | TMHM(TM08_BULK_UP)
                                                | TMHM(HM01_CUT)
                                                | TMHM(TM28_DIG)
                                                | TMHM(TM42_FACADE)
                                                | TMHM(TM15_HYPER_BEAM)
                                                | TMHM(TM13_ICE_BEAM)
                                                | TMHM(TM23_IRON_TAIL)
                                                | TMHM(TM17_PROTECT)
                                                | TMHM(TM44_REST)
                                                | TMHM(TM30_SHADOW_BALL)
                                                | TMHM(TM36_SLUDGE_BOMB)
                                                | TMHM(TM12_TAUNT)
                                                | TMHM(TM06_TOXIC)),

    [SPECIES_RAICHU_ALOLAN]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                                   | TMHM(TM04_CALM_MIND)
                                                   | TMHM(TM28_DIG)
                                                   | TMHM(TM42_FACADE)
                                                   | TMHM(HM05_FLASH)
                                                   | TMHM(TM15_HYPER_BEAM)
                                                   | TMHM(TM23_IRON_TAIL)
                                                   | TMHM(TM16_LIGHT_SCREEN)
                                                   | TMHM(TM17_PROTECT)
                                                   | TMHM(TM29_PSYCHIC)
                                                   | TMHM(TM33_REFLECT)
                                                   | TMHM(TM44_REST)
                                                   | TMHM(HM06_ROCK_SMASH)
                                                   | TMHM(HM04_STRENGTH)
                                                   | TMHM(TM24_THUNDERBOLT)
                                                   | TMHM(TM25_THUNDER)
                                                   | TMHM(TM06_TOXIC)),

    [SPECIES_SANDSHREW_ALOLAN]  = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                                   | TMHM(TM31_BRICK_BREAK)
                                                   | TMHM(HM01_CUT)
                                                   | TMHM(TM28_DIG)
                                                   | TMHM(TM26_EARTHQUAKE)
                                                   | TMHM(TM42_FACADE)
                                                   | TMHM(TM13_ICE_BEAM)
                                                   | TMHM(TM23_IRON_TAIL)
                                                   | TMHM(TM17_PROTECT)
                                                   | TMHM(TM44_REST)
                                                   | TMHM(HM06_ROCK_SMASH)
                                                   | TMHM(HM04_STRENGTH)
                                                   | TMHM(TM06_TOXIC)),

    [SPECIES_SANDSLASH_ALOLAN]  = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                                   | TMHM(TM31_BRICK_BREAK)
                                                   | TMHM(HM01_CUT)
                                                   | TMHM(TM28_DIG)
                                                   | TMHM(TM26_EARTHQUAKE)
                                                   | TMHM(TM42_FACADE)
                                                   | TMHM(TM15_HYPER_BEAM)
                                                   | TMHM(TM13_ICE_BEAM)
                                                   | TMHM(TM23_IRON_TAIL)
                                                   | TMHM(TM17_PROTECT)
                                                   | TMHM(TM44_REST)
                                                   | TMHM(HM06_ROCK_SMASH)
                                                   | TMHM(HM04_STRENGTH)
                                                   | TMHM(TM06_TOXIC)),

    [SPECIES_VULPIX_ALOLAN]  = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                                | TMHM(TM28_DIG)
                                                | TMHM(TM42_FACADE)
                                                | TMHM(TM13_ICE_BEAM)
                                                | TMHM(TM23_IRON_TAIL)
                                                | TMHM(TM17_PROTECT)
                                                | TMHM(TM33_REFLECT)
                                                | TMHM(TM44_REST)
                                                | TMHM(TM06_TOXIC)),

    [SPECIES_NINETALES_ALOLAN]  = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                                   | TMHM(TM04_CALM_MIND)
                                                   | TMHM(TM28_DIG)
                                                   | TMHM(TM42_FACADE)
                                                   | TMHM(TM15_HYPER_BEAM)
                                                   | TMHM(TM13_ICE_BEAM)
                                                   | TMHM(TM23_IRON_TAIL)
                                                   | TMHM(TM17_PROTECT)
                                                   | TMHM(TM33_REFLECT)
                                                   | TMHM(TM44_REST)
                                                   | TMHM(TM06_TOXIC)),

    [SPECIES_DIGLETT_ALOLAN]  = TMHM_LEARNSET(TMHM(HM01_CUT)
                                                   | TMHM(TM28_DIG)
                                                   | TMHM(TM26_EARTHQUAKE)
                                                   | TMHM(TM42_FACADE)
                                                   | TMHM(TM17_PROTECT)
                                                   | TMHM(TM44_REST)
                                                   | TMHM(HM06_ROCK_SMASH)
                                                   | TMHM(TM36_SLUDGE_BOMB)
                                                   | TMHM(TM06_TOXIC)),

    [SPECIES_DUGTRIO_ALOLAN]  = TMHM_LEARNSET(TMHM(HM01_CUT)
                                                   | TMHM(TM28_DIG)
                                                   | TMHM(TM26_EARTHQUAKE)
                                                   | TMHM(TM42_FACADE)
                                                   | TMHM(TM15_HYPER_BEAM)
                                                   | TMHM(TM17_PROTECT)
                                                   | TMHM(TM44_REST)
                                                   | TMHM(HM06_ROCK_SMASH)
                                                   | TMHM(TM36_SLUDGE_BOMB)
                                                   | TMHM(TM06_TOXIC)),

    [SPECIES_MEOWTH_ALOLAN]  = TMHM_LEARNSET(TMHM(HM01_CUT)
                                                   | TMHM(TM42_FACADE)
                                                   | TMHM(HM05_FLASH)
                                                   | TMHM(TM23_IRON_TAIL)
                                                   | TMHM(TM17_PROTECT)
                                                   | TMHM(TM44_REST)
                                                   | TMHM(TM30_SHADOW_BALL)
                                                   | TMHM(TM12_TAUNT)
                                                   | TMHM(TM24_THUNDERBOLT)
                                                   | TMHM(TM25_THUNDER)
                                                   | TMHM(TM06_TOXIC)),

    [SPECIES_PERSIAN_ALOLAN]  = TMHM_LEARNSET(TMHM(HM01_CUT)
                                                    | TMHM(TM42_FACADE)
                                                    | TMHM(HM05_FLASH)
                                                    | TMHM(TM15_HYPER_BEAM)
                                                    | TMHM(TM23_IRON_TAIL)
                                                    | TMHM(TM17_PROTECT)
                                                    | TMHM(TM44_REST)
                                                    | TMHM(TM30_SHADOW_BALL)
                                                    | TMHM(TM12_TAUNT)
                                                    | TMHM(TM24_THUNDERBOLT)
                                                    | TMHM(TM25_THUNDER)
                                                    | TMHM(TM06_TOXIC)),

    [SPECIES_GEODUDE_ALOLAN]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                                   | TMHM(TM28_DIG)
                                                   | TMHM(TM42_FACADE)
                                                   | TMHM(TM38_FIRE_BLAST)
                                                   | TMHM(TM35_FLAMETHROWER)
                                                   | TMHM(TM26_EARTHQUAKE)
                                                   | TMHM(TM17_PROTECT)
                                                   | TMHM(TM44_REST)
                                                   | TMHM(HM06_ROCK_SMASH)
                                                   | TMHM(HM04_STRENGTH)
                                                   | TMHM(TM24_THUNDERBOLT)
                                                   | TMHM(TM25_THUNDER)
                                                   | TMHM(TM06_TOXIC)),

    [SPECIES_GRAVELER_ALOLAN]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                                    | TMHM(TM28_DIG)
                                                    | TMHM(TM26_EARTHQUAKE)
                                                    | TMHM(TM42_FACADE)
                                                    | TMHM(TM38_FIRE_BLAST)
                                                    | TMHM(TM35_FLAMETHROWER)
                                                    | TMHM(TM17_PROTECT)
                                                    | TMHM(TM44_REST)
                                                    | TMHM(HM06_ROCK_SMASH)
                                                    | TMHM(HM04_STRENGTH)
                                                    | TMHM(TM24_THUNDERBOLT)
                                                    | TMHM(TM25_THUNDER)
                                                    | TMHM(TM06_TOXIC)),

    [SPECIES_GOLEM_ALOLAN]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                                 | TMHM(TM28_DIG)
                                                 | TMHM(TM26_EARTHQUAKE)
                                                 | TMHM(TM42_FACADE)
                                                 | TMHM(TM38_FIRE_BLAST)
                                                 | TMHM(TM35_FLAMETHROWER)
                                                 | TMHM(TM15_HYPER_BEAM)
                                                 | TMHM(TM17_PROTECT)
                                                 | TMHM(TM44_REST)
                                                 | TMHM(HM06_ROCK_SMASH)
                                                 | TMHM(HM04_STRENGTH)
                                                 | TMHM(TM24_THUNDERBOLT)
                                                 | TMHM(TM25_THUNDER)
                                                 | TMHM(TM06_TOXIC)),

    [SPECIES_GRIMER_ALOLAN]  = TMHM_LEARNSET(TMHM(TM28_DIG)
                                                   | TMHM(TM42_FACADE)
                                                   | TMHM(TM38_FIRE_BLAST)
                                                   | TMHM(TM35_FLAMETHROWER)
                                                   | TMHM(TM17_PROTECT)
                                                   | TMHM(TM44_REST)
                                                   | TMHM(TM30_SHADOW_BALL)
                                                   | TMHM(TM36_SLUDGE_BOMB)
                                                   | TMHM(HM04_STRENGTH)
                                                   | TMHM(TM12_TAUNT)
                                                   | TMHM(TM06_TOXIC)),

    [SPECIES_MUK_ALOLAN]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                                | TMHM(TM28_DIG)
                                                | TMHM(TM42_FACADE)
                                                | TMHM(TM38_FIRE_BLAST)
                                                | TMHM(TM35_FLAMETHROWER)
                                                | TMHM(TM15_HYPER_BEAM)
                                                | TMHM(TM17_PROTECT)
                                                | TMHM(TM44_REST)
                                                | TMHM(HM06_ROCK_SMASH)
                                                | TMHM(TM30_SHADOW_BALL)
                                                | TMHM(TM36_SLUDGE_BOMB)
                                                | TMHM(HM04_STRENGTH)
                                                | TMHM(TM12_TAUNT)
                                                | TMHM(TM06_TOXIC)),

    [SPECIES_EXEGGUTOR_ALOLAN]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                                   | TMHM(TM26_EARTHQUAKE)
                                                   | TMHM(TM42_FACADE)
                                                   | TMHM(TM35_FLAMETHROWER)
                                                   | TMHM(HM05_FLASH)
                                                   | TMHM(TM15_HYPER_BEAM)
                                                   | TMHM(TM23_IRON_TAIL)
                                                   | TMHM(TM16_LIGHT_SCREEN)
                                                   | TMHM(TM17_PROTECT)
                                                   | TMHM(TM29_PSYCHIC)
                                                   | TMHM(TM33_REFLECT)
                                                   | TMHM(TM44_REST)
                                                   | TMHM(TM22_SOLARBEAM)
                                                   | TMHM(TM36_SLUDGE_BOMB)
                                                   | TMHM(HM04_STRENGTH)
                                                   | TMHM(TM06_TOXIC)),

    [SPECIES_MAROWAK_ALOLAN]  = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                                   | TMHM(TM31_BRICK_BREAK)
                                                   | TMHM(TM28_DIG)
                                                   | TMHM(TM26_EARTHQUAKE)
                                                   | TMHM(TM42_FACADE)
                                                   | TMHM(TM38_FIRE_BLAST)
                                                   | TMHM(TM35_FLAMETHROWER)
                                                   | TMHM(TM15_HYPER_BEAM)
                                                   | TMHM(TM13_ICE_BEAM)
                                                   | TMHM(TM23_IRON_TAIL)
                                                   | TMHM(TM17_PROTECT)
                                                   | TMHM(TM44_REST)
                                                   | TMHM(HM06_ROCK_SMASH)
                                                   | TMHM(TM30_SHADOW_BALL)
                                                   | TMHM(HM04_STRENGTH)
                                                   | TMHM(TM24_THUNDERBOLT)
                                                   | TMHM(TM25_THUNDER)
                                                   | TMHM(TM06_TOXIC)),

    [SPECIES_MEOWTH_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_PONYTA_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)),

    [SPECIES_RAPIDASH_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)),

    [SPECIES_SLOWPOKE_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_SLOWBRO_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_FARFETCHD_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)),

    [SPECIES_WEEZING_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MR_MIME_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_ARTICUNO_GALARIAN]  = TMHM_LEARNSET(TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM47_STEEL_WING)),

    [SPECIES_ZAPDOS_GALARIAN]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)),

    [SPECIES_MOLTRES_GALARIAN]  = TMHM_LEARNSET(TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)),

    [SPECIES_SLOWKING_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_CORSOLA_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ZIGZAGOON_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_LINOONE_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_DARUMAKA_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_DARMANITAN_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_YAMASK_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_STUNFISK_GALARIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM03_SURF)),

    [SPECIES_PIKACHU_COSPLAY]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_ROCK_STAR]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_BELLE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_POP_STAR]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_PH_D]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_LIBRE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_ORIGINAL_CAP]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_HOENN_CAP]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_SINNOH_CAP]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_UNOVA_CAP]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_KALOS_CAP]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_ALOLA_CAP]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PIKACHU_PARTNER_CAP]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PICHU_SPIKY_EARED]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_UNOWN_B]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_C]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_D]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_E]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_F]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_G]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_H]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_I]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_J]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_K]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_L]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_M]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_N]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_O]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_P]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_Q]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_R]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_S]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_T]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_U]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_V]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_W]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_X]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_Y]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_Z]     = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_EMARK] = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_UNOWN_QMARK] = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)),

    [SPECIES_DEOXYS_ATTACK]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DEOXYS_DEFENSE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_DEOXYS_SPEED]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_BURMY_SANDY_CLOAK]  = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)),

    [SPECIES_BURMY_TRASH_CLOAK]  = TMHM_LEARNSET(TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)),

    [SPECIES_WORMADAM_SANDY_CLOAK]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                               | TMHM(TM28_DIG)
                                               | TMHM(TM32_DOUBLE_TEAM)
                                               | TMHM(TM26_EARTHQUAKE)
                                               | TMHM(TM42_FACADE)
                                               | TMHM(HM05_FLASH)
                                               | TMHM(TM21_FRUSTRATION)
                                               | TMHM(TM10_HIDDEN_POWER)
                                               | TMHM(TM15_HYPER_BEAM)
                                               | TMHM(TM17_PROTECT)
                                               | TMHM(TM29_PSYCHIC)
                                               | TMHM(TM18_RAIN_DANCE)
                                               | TMHM(TM44_REST)
                                               | TMHM(TM27_RETURN)
                                               | TMHM(TM39_ROCK_TOMB)
                                               | TMHM(TM20_SAFEGUARD)
                                               | TMHM(TM37_SANDSTORM)
                                               | TMHM(TM43_SECRET_POWER)
                                               | TMHM(TM30_SHADOW_BALL)
                                               | TMHM(TM48_SKILL_SWAP)
                                               | TMHM(TM11_SUNNY_DAY)
                                               | TMHM(TM46_THIEF)
                                               | TMHM(TM06_TOXIC)),

    [SPECIES_WORMADAM_TRASH_CLOAK]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                               | TMHM(TM32_DOUBLE_TEAM)
                                               | TMHM(TM42_FACADE)
                                               | TMHM(HM05_FLASH)
                                               | TMHM(TM21_FRUSTRATION)
                                               | TMHM(TM10_HIDDEN_POWER)
                                               | TMHM(TM15_HYPER_BEAM)
                                               | TMHM(TM17_PROTECT)
                                               | TMHM(TM29_PSYCHIC)
                                               | TMHM(TM18_RAIN_DANCE)
                                               | TMHM(TM44_REST)
                                               | TMHM(TM27_RETURN)
                                               | TMHM(TM20_SAFEGUARD)
                                               | TMHM(TM43_SECRET_POWER)
                                               | TMHM(TM30_SHADOW_BALL)
                                               | TMHM(TM48_SKILL_SWAP)
                                               | TMHM(TM11_SUNNY_DAY)
                                               | TMHM(TM46_THIEF)
                                               | TMHM(TM06_TOXIC)),

    [SPECIES_SHELLOS_EAST_SEA]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GASTRODON_EAST_SEA]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ROTOM_HEAT]  = TMHM_LEARNSET(TMHM(TM50_OVERHEAT)),

    [SPECIES_ROTOM_WASH]  = TMHM_LEARNSET(0),

    [SPECIES_ROTOM_FROST] = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)),

    [SPECIES_ROTOM_FAN]   = TMHM_LEARNSET(0),

    [SPECIES_ROTOM_MOW]   = TMHM_LEARNSET(0),

    [SPECIES_GIRATINA_ORIGIN]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SHAYMIN_SKY] = TMHM_LEARNSET(TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ARCEUS_FIGHTING]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_FLYING]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_POISON]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_GROUND]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_ROCK] = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_BUG]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_GHOST]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_STEEL]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_FIRE] = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_WATER]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_GRASS]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_ELECTRIC]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_PSYCHIC]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_ICE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_DRAGON]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_DARK] = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_ARCEUS_FAIRY]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM50_OVERHEAT)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_BASCULIN_BLUE_STRIPED]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_DEERLING_SUMMER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DEERLING_AUTUMN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_DEERLING_WINTER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SAWSBUCK_SUMMER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SAWSBUCK_AUTUMN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SAWSBUCK_WINTER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_TORNADUS_THERIAN]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_THUNDURUS_THERIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LANDORUS_THERIAN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KYUREM_WHITE]  = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_KYUREM_BLACK]  = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                             | TMHM(HM01_CUT)
                                             | TMHM(TM32_DOUBLE_TEAM)
                                             | TMHM(TM02_DRAGON_CLAW)
                                             | TMHM(TM42_FACADE)
                                             | TMHM(HM02_FLY)
                                             | TMHM(TM21_FRUSTRATION)
                                             | TMHM(TM07_HAIL)
                                             | TMHM(TM10_HIDDEN_POWER)
                                             | TMHM(TM15_HYPER_BEAM)
                                             | TMHM(TM13_ICE_BEAM)
                                             | TMHM(TM16_LIGHT_SCREEN)
                                             | TMHM(TM17_PROTECT)
                                             | TMHM(TM29_PSYCHIC)
                                             | TMHM(TM18_RAIN_DANCE)
                                             | TMHM(TM33_REFLECT)
                                             | TMHM(TM44_REST)
                                             | TMHM(TM27_RETURN)
                                             | TMHM(HM06_ROCK_SMASH)
                                             | TMHM(TM39_ROCK_TOMB)
                                             | TMHM(TM20_SAFEGUARD)
                                             | TMHM(TM43_SECRET_POWER)
                                             | TMHM(TM30_SHADOW_BALL)
                                             | TMHM(TM47_STEEL_WING)
                                             | TMHM(HM04_STRENGTH)
                                             | TMHM(TM11_SUNNY_DAY)
                                             | TMHM(TM06_TOXIC)),

    [SPECIES_KELDEO_RESOLUTE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_GENESECT_DOUSE_DRIVE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GENESECT_SHOCK_DRIVE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GENESECT_BURN_DRIVE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GENESECT_CHILL_DRIVE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GRENINJA_BATTLE_BOND]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM14_BLIZZARD)
                                            | TMHM(HM01_CUT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)
                                            | TMHM(HM07_WATERFALL)
                                            | TMHM(TM03_WATER_PULSE)),

    [SPECIES_VIVILLON_POLAR]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_TUNDRA]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_CONTINENTAL]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_GARDEN]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_ELEGANT]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_MEADOW]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_MODERN]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_MARINE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_ARCHIPELAGO]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_HIGH_PLAINS]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_SANDSTORM]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_RIVER]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_MONSOON]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_SAVANNA]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_SUN]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_OCEAN]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_JUNGLE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_FANCY]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_VIVILLON_POKE_BALL]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLABEBE_YELLOW_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLABEBE_ORANGE_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLABEBE_BLUE_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLABEBE_WHITE_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLOETTE_YELLOW_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLOETTE_ORANGE_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLOETTE_BLUE_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLOETTE_WHITE_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLOETTE_ETERNAL_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLORGES_YELLOW_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLORGES_ORANGE_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLORGES_BLUE_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FLORGES_WHITE_FLOWER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FURFROU_HEART_TRIM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FURFROU_STAR_TRIM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FURFROU_DIAMOND_TRIM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FURFROU_DEBUTANTE_TRIM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FURFROU_MATRON_TRIM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FURFROU_DANDY_TRIM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FURFROU_LA_REINE_TRIM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FURFROU_KABUKI_TRIM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_FURFROU_PHARAOH_TRIM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MEOWSTIC_FEMALE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                          | TMHM(TM04_CALM_MIND)
                                          | TMHM(HM01_CUT)
                                          | TMHM(TM28_DIG)
                                          | TMHM(TM32_DOUBLE_TEAM)
                                          | TMHM(TM42_FACADE)
                                          | TMHM(HM05_FLASH)
                                          | TMHM(TM21_FRUSTRATION)
                                          | TMHM(TM10_HIDDEN_POWER)
                                          | TMHM(TM15_HYPER_BEAM)
                                          | TMHM(TM23_IRON_TAIL)
                                          | TMHM(TM16_LIGHT_SCREEN)
                                          | TMHM(TM17_PROTECT)
                                          | TMHM(TM29_PSYCHIC)
                                          | TMHM(TM18_RAIN_DANCE)
                                          | TMHM(TM33_REFLECT)
                                          | TMHM(TM44_REST)
                                          | TMHM(TM27_RETURN)
                                          | TMHM(TM20_SAFEGUARD)
                                          | TMHM(TM43_SECRET_POWER)
                                          | TMHM(TM30_SHADOW_BALL)
                                          | TMHM(TM34_SHOCK_WAVE)
                                          | TMHM(TM48_SKILL_SWAP)
                                          | TMHM(TM49_SNATCH)
                                          | TMHM(TM11_SUNNY_DAY)
                                          | TMHM(TM24_THUNDERBOLT)
                                          | TMHM(TM41_TORMENT)
                                          | TMHM(TM06_TOXIC)),

    [SPECIES_PUMPKABOO_SMALL]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PUMPKABOO_LARGE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_PUMPKABOO_SUPER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOURGEIST_SMALL]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOURGEIST_LARGE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_GOURGEIST_SUPER]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM38_FIRE_BLAST)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZYGARDE_10]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZYGARDE_10_POWER_CONSTRUCT]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZYGARDE_50_POWER_CONSTRUCT]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ZYGARDE_COMPLETE]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(HM04_STRENGTH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_HOOPA_UNBOUND]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM05_FLASH)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM43_SECRET_POWER)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM49_SNATCH)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM41_TORMENT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ORICORIO_POM_POM]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ORICORIO_PAU]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ORICORIO_SENSU]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(HM02_FLY)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_ROCKRUFF_OWN_TEMPO]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LYCANROC_MIDNIGHT]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_LYCANROC_DUSK]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_FIGHTING]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_FLYING]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_POISON]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_GROUND]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_ROCK]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_BUG]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_GHOST]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_STEEL]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_FIRE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_WATER]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_GRASS]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_ELECTRIC]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_PSYCHIC]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_ICE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_DRAGON]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_DARK]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SILVALLY_FAIRY]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM02_DRAGON_CLAW)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM35_FLAMETHROWER)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM05_ROAR)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM47_STEEL_WING)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(HM03_SURF)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MINIOR_CORE_RED]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MINIOR_CORE_ORANGE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MINIOR_CORE_YELLOW]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MINIOR_CORE_GREEN]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MINIOR_CORE_BLUE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MINIOR_CORE_INDIGO]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MINIOR_CORE_VIOLET]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM37_SANDSTORM)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_NECROZMA_DUSK_MANE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_NECROZMA_DAWN_WINGS]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM26_EARTHQUAKE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM46_THIEF)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_MAGEARNA_ORIGINAL_COLOR]  = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM32_DOUBLE_TEAM)
                                            | TMHM(TM21_FRUSTRATION)
                                            | TMHM(TM10_HIDDEN_POWER)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM27_RETURN)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM24_THUNDERBOLT)),

    [SPECIES_TOXTRICITY_LOW_KEY]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM34_SHOCK_WAVE)
                                            | TMHM(TM36_SLUDGE_BOMB)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM25_THUNDER)
                                            | TMHM(TM24_THUNDERBOLT)
                                            | TMHM(TM06_TOXIC)),

    [SPECIES_SINISTEA_ANTIQUE]  = TMHM_LEARNSET(TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)),

    [SPECIES_POLTEAGEIST_ANTIQUE]  = TMHM_LEARNSET(TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM30_SHADOW_BALL)),

    [SPECIES_ALCREMIE_RUBY_CREAM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_ALCREMIE_MATCHA_CREAM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_ALCREMIE_MINT_CREAM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_ALCREMIE_LEMON_CREAM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_ALCREMIE_SALTED_CREAM]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_ALCREMIE_RUBY_SWIRL]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_ALCREMIE_CARAMEL_SWIRL]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_ALCREMIE_RAINBOW_SWIRL]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM22_SOLARBEAM)),

    [SPECIES_INDEEDEE_FEMALE]  = TMHM_LEARNSET(TMHM(TM45_ATTRACT)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)),

    [SPECIES_URSHIFU_RAPID_STRIKE_STYLE]  = TMHM_LEARNSET(TMHM(TM40_AERIAL_ACE)
                                            | TMHM(TM45_ATTRACT)
                                            | TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM28_DIG)
                                            | TMHM(HM08_DIVE)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM01_FOCUS_PUNCH)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM18_RAIN_DANCE)
                                            | TMHM(TM44_REST)
                                            | TMHM(HM06_ROCK_SMASH)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(HM07_WATERFALL)),

    [SPECIES_ZARUDE_DADA] = TMHM_LEARNSET(TMHM(TM31_BRICK_BREAK)
                                            | TMHM(TM08_BULK_UP)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM28_DIG)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM23_IRON_TAIL)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM39_ROCK_TOMB)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM46_THIEF)),

    [SPECIES_CALYREX_ICE_RIDER]  = TMHM_LEARNSET(TMHM(TM14_BLIZZARD)
                                            | TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM07_HAIL)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM13_ICE_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)
                                            | TMHM(TM41_TORMENT)),

    [SPECIES_CALYREX_SHADOW_RIDER]  = TMHM_LEARNSET(TMHM(TM09_BULLET_SEED)
                                            | TMHM(TM04_CALM_MIND)
                                            | TMHM(TM42_FACADE)
                                            | TMHM(TM19_GIGA_DRAIN)
                                            | TMHM(TM15_HYPER_BEAM)
                                            | TMHM(TM16_LIGHT_SCREEN)
                                            | TMHM(TM17_PROTECT)
                                            | TMHM(TM29_PSYCHIC)
                                            | TMHM(TM33_REFLECT)
                                            | TMHM(TM44_REST)
                                            | TMHM(TM20_SAFEGUARD)
                                            | TMHM(TM30_SHADOW_BALL)
                                            | TMHM(TM48_SKILL_SWAP)
                                            | TMHM(TM22_SOLARBEAM)
                                            | TMHM(TM11_SUNNY_DAY)
                                            | TMHM(TM12_TAUNT)),
};
